com.pivotal.gemfirexd.internal.jdbc

## Class ClientConnectionPoolDataSource40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource
  - - com.pivotal.gemfirexd.internal.jdbc.ClientDataSource
    - - com.pivotal.gemfirexd.internal.jdbc.ClientConnectionPoolDataSource
      - - com.pivotal.gemfirexd.internal.jdbc.ClientConnectionPoolDataSource40

All Implemented Interfaces:
  Serializable, Wrapper, Referenceable, CommonDataSource, ConnectionPoolDataSource, DataSource

    public class ClientConnectionPoolDataSource40
    extends ClientConnectionPoolDataSource

ClientConnectionPoolDataSource40 is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a naming service that is based on the Java Naming and Directory Interface (JNDI). Use this factory if your application runs under JDBC4.0. Use ClientConnectionPoolDataSource, instead, if your application runs under JDBC3.0 or JDBC2.0, that is, on the following Java Virtual Machines:

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientConnectionPoolDataSource

`className__`

### Fields inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource

`CLEAR_TEXT_PASSWORD_SECURITY, connectionAttributes, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_traceLevel, propertyDefault_user, securityMechanism, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, traceLevel, USER_ONLY_SECURITY`

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectionPoolDataSource40()`

### Method Summary

Methods
`boolean` `isWrapperFor(Class interfaces)` Returns false unless `interfaces` is implemented
`Object` `unwrap(Class interfaces)` Returns `this` if this class implements the interface

### Methods inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientConnectionPoolDataSource

`getMaxStatements, getPooledConnection, getPooledConnection, maxStatementsToPool, setMaxStatements`

### Methods inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientDataSource

`getConnection, getConnection, getParentLogger`

### Methods inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource

`computeDncLogWriter, computeDncLogWriterForNewConnection, getClientSSLMode, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getIsODBCDriver, getLoginTimeout, getLogWriter, getPassword, getPassword, getPortNumber, getReference, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUpgradedSecurityMechanism, getUser, getUser, readSystemProperty, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser, tokenizeAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Constructor Detail

#### ClientConnectionPoolDataSource40

    public ClientConnectionPoolDataSource40()

### Method Detail

#### isWrapperFor

    public boolean isWrapperFor(Class interfaces)
                         throws SQLException

Returns false unless `interfaces` is implemented

Specified by:
  `isWrapperFor` in interface `Wrapper`
Overrides:
  `isWrapperFor` in class `ClientDataSource`
Parameters:
  `interfaces` - a Class defining an interface.
Returns:
  true if this implements the interface or directly or indirectly wraps an object that does.
Throws:
  `SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

#### unwrap

    public Object unwrap(Class interfaces)
                  throws SQLException

Returns `this` if this class implements the interface

Specified by:
  `unwrap` in interface `Wrapper`
Overrides:
  `unwrap` in class `ClientDataSource`
Parameters:
  `interfaces` - a Class defining an interface
Returns:
  an object that implements the interface
Throws:
  `java.sql.SQLExption` - if no object if found that implements the interface
  `SQLException`